# Class RecordReader

java.lang.Object
org.apache.jute.RecordReader

public class RecordReader extends Object
Front-end interface to deserializers. Also acts as a factory for deserializers.

## Constructor Summary

Constructors
Constructor
Description
`RecordReader(InputStream in, String format)`
Creates a new instance of RecordReader.

## Method Summary

Modifier and Type
Method
Description
`void`
`read(Record r)`
Deserialize a record.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RecordReader

public RecordReader(InputStream in, String format)
Creates a new instance of RecordReader.

Parameters:
  `in` - Stream from which to deserialize a record
  `format` - Deserialization format ("binary", "xml", or "csv")

## Method Details

### read

public void read(Record r) throws IOException
Deserialize a record.

Parameters:
  `r` - Record to be deserialized
Throws:
  `IOException`